Images
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 14073,
"posters": [
{
"aspect_ratio": 0.667,
"file_path": "/y3JaJmmM5INXmyYUY2MkX6EO5Vj.jpg",
"height": 2268,
"iso_639_1": "hu",
"vote_average": 5.312,
"vote_count": 1,
"width": 1512
},
{
"aspect_ratio": 0.667,
"file_path": "/ruiOyO3M47kM4TSpsuwyxr1HnSR.jpg",
"height": 3000,
"iso_639_1": "en",
"vote_average": 5.312,
"vote_count": 1,
"width": 2000
},
{
"aspect_ratio": 0.715,
"file_path": "/8A5k8VsuisshScddYswcd630EXt.jpg",
"height": 1500,
"iso_639_1": "en",
"vote_average": 5.298,
"vote_count": 1,
"width": 1072
},
{
"aspect_ratio": 0.699,
"file_path": "/cKx3pJK9PLZXW1MjuJZbEEgPK3U.jpg",
"height": 1091,
"iso_639_1": "hu",
"vote_average": 5.172,
"vote_count": 1,
"width": 763
},
{
"aspect_ratio": 0.692,
"file_path": "/fWCIonphO2mpow2zVDXPBJpaHKZ.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/5V8fkF7E98oIrMKe0EMkDzgpiMD.jpg",
"height": 578,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/e82ZZgRuuRLBJNEbyXDzt9LXM2S.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/aFrW4Z0zeRI2WGItrShgOjLqa45.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/1efOJdtxw3YRHfSrNfBK6wc9TsS.jpg",
"height": 578,
"iso_639_1": "pt",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/xv5KE0CNIfRsnnSqr1WRpKphPSL.jpg",
"height": 578,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.667,
"file_path": "/5jKg8pvMI3boq9tBab2Aqe3nP2x.jpg",
"height": 1500,
"iso_639_1": "de",
"vote_average": 0,
"vote_count": 0,
"width": 1000
},
{
"aspect_ratio": 0.707,
"file_path": "/xwq7PAdULT1kDPYoMz5iFBGkBiu.jpg",
"height": 1754,
"iso_639_1": "uk",
"vote_average": 0,
"vote_count": 0,
"width": 1240
},
{
"aspect_ratio": 0.701,
"file_path": "/oQxKZlPPx5xV8jjudvSMq4OFAeB.jpg",
"height": 1426,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 1000
},
{
"aspect_ratio": 0.701,
"file_path": "/nTo070mMxlwEiLkSqhGPp72KvTK.jpg",
"height": 1426,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 1000
}
]
}TV Seasons
Images
This endpoint is used to get the images that belong to a TV season.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
images
Images
Authorizations
Path Parameters
integer
Example:
"4614"
integer
Example:
"1"
Response
200 - application/json
OK
Example:
14073
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 0.667,
"file_path": "/y3JaJmmM5INXmyYUY2MkX6EO5Vj.jpg",
"height": 2268,
"iso_639_1": "hu",
"vote_average": 5.312,
"vote_count": 1,
"width": 1512
},
{
"aspect_ratio": 0.667,
"file_path": "/ruiOyO3M47kM4TSpsuwyxr1HnSR.jpg",
"height": 3000,
"iso_639_1": "en",
"vote_average": 5.312,
"vote_count": 1,
"width": 2000
},
{
"aspect_ratio": 0.715,
"file_path": "/8A5k8VsuisshScddYswcd630EXt.jpg",
"height": 1500,
"iso_639_1": "en",
"vote_average": 5.298,
"vote_count": 1,
"width": 1072
},
{
"aspect_ratio": 0.699,
"file_path": "/cKx3pJK9PLZXW1MjuJZbEEgPK3U.jpg",
"height": 1091,
"iso_639_1": "hu",
"vote_average": 5.172,
"vote_count": 1,
"width": 763
},
{
"aspect_ratio": 0.692,
"file_path": "/fWCIonphO2mpow2zVDXPBJpaHKZ.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/5V8fkF7E98oIrMKe0EMkDzgpiMD.jpg",
"height": 578,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/e82ZZgRuuRLBJNEbyXDzt9LXM2S.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/aFrW4Z0zeRI2WGItrShgOjLqa45.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/1efOJdtxw3YRHfSrNfBK6wc9TsS.jpg",
"height": 578,
"iso_639_1": "pt",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/xv5KE0CNIfRsnnSqr1WRpKphPSL.jpg",
"height": 578,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 400
},
{
"aspect_ratio": 0.667,
"file_path": "/5jKg8pvMI3boq9tBab2Aqe3nP2x.jpg",
"height": 1500,
"iso_639_1": "de",
"vote_average": 0,
"vote_count": 0,
"width": 1000
},
{
"aspect_ratio": 0.707,
"file_path": "/xwq7PAdULT1kDPYoMz5iFBGkBiu.jpg",
"height": 1754,
"iso_639_1": "uk",
"vote_average": 0,
"vote_count": 0,
"width": 1240
},
{
"aspect_ratio": 0.701,
"file_path": "/oQxKZlPPx5xV8jjudvSMq4OFAeB.jpg",
"height": 1426,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 1000
},
{
"aspect_ratio": 0.701,
"file_path": "/nTo070mMxlwEiLkSqhGPp72KvTK.jpg",
"height": 1426,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 1000
}
]
Was this page helpful?
⌘I